PluralAttributeElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Interface PluralAttributeElement

All Superinterfaces:
  MetaAttributeContainer

All Known Implementing Classes:
  IdBagPluralAttributeElementAdapter, JaxbBagElement, JaxbIdbagElement, JaxbListElement, JaxbMapElement, JaxbSetElement

    public interface PluralAttributeElement

extends MetaAttributeContainer

Commonality between the various forms of plural attribute (collection) mappings: `<bag/>`, `<set/>`, etc.

Method Summary
`String` | `getAccess()`
`String` | `getBatchSize()`
`JaxbCacheElement` | `getCache()`
`String` | `getCascade()`
`String` | `getCatalog()`
`String` | `getCheck()`
`String` | `getCollectionType()`
`String` | `getComment()`
`JaxbCompositeElementElement` | `getCompositeElement()`
`JaxbElementElement` | `getElement()`
`JaxbFetchAttributeWithSubselect` | `getFetch()`
`List<JaxbFilterElement>` | `getFilter()`
`JaxbKeyElement` | `getKey()`
`JaxbLazyAttributeWithExtra` | `getLazy()`
`JaxbLoaderElement` | `getLoader()`
`JaxbManyToAnyElement` | `getManyToAny()`
`JaxbManyToManyElement` | `getManyToMany()`
`String` | `getName()`
`JaxbOneToManyElement` | `getOneToMany()`
`JaxbOuterJoinAttribute` | `getOuterJoin()`
`String` | `getPersister()`
`String` | `getSchema()`
`JaxbSqlDeleteElement` | `getSqlDelete()`
`JaxbSqlDeleteAllElement` | `getSqlDeleteAll()`
`JaxbSqlInsertElement` | `getSqlInsert()`
`JaxbSqlUpdateElement` | `getSqlUpdate()`
`String` | `getSubselect()`
`String` | `getSubselectAttribute()`
`List<JaxbSynchronizeElement>` | `getSynchronize()`
`String` | `getTable()`
`String` | `getWhere()`
`boolean` | `isInverse()`
`boolean` | `isMutable()`
`boolean` | `isOptimisticLock()`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.MetaAttributeContainer
`getMeta`

Method Detail

### getName

    String getName()

### getAccess

    String getAccess()

### getKey

    JaxbKeyElement getKey()

### getElement

    JaxbElementElement getElement()

### getCompositeElement

    JaxbCompositeElementElement getCompositeElement()

### getOneToMany

    JaxbOneToManyElement getOneToMany()

### getManyToMany

    JaxbManyToManyElement getManyToMany()

### getManyToAny

    JaxbManyToAnyElement getManyToAny()

### getSchema

    String getSchema()

### getCatalog

    String getCatalog()

### getTable

    String getTable()

### getComment

    String getComment()

### getCheck

    String getCheck()

### getSubselect

    String getSubselect()

### getSubselectAttribute

    String getSubselectAttribute()

### getWhere

    String getWhere()

### getLoader

    JaxbLoaderElement getLoader()

### getSqlInsert

    JaxbSqlInsertElement getSqlInsert()

### getSqlUpdate

    JaxbSqlUpdateElement getSqlUpdate()

### getSqlDelete

    JaxbSqlDeleteElement getSqlDelete()

### getSqlDeleteAll

    JaxbSqlDeleteAllElement getSqlDeleteAll()

### getSynchronize

    List<JaxbSynchronizeElement> getSynchronize()

### getCache

    JaxbCacheElement getCache()

### getFilter

    List<JaxbFilterElement> getFilter()

### getCascade

    String getCascade()

### getFetch

    JaxbFetchAttributeWithSubselect getFetch()

### getLazy

    JaxbLazyAttributeWithExtra getLazy()

### getOuterJoin

    JaxbOuterJoinAttribute getOuterJoin()

### getBatchSize

    String getBatchSize()

### isInverse

    boolean isInverse()

### isMutable

    boolean isMutable()

### isOptimisticLock

    boolean isOptimisticLock()

### getCollectionType

    String getCollectionType()

### getPersister

    String getPersister()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.